Subject: Re: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Philip Kaludercic <[email-masked]>
Date: Thu, 05 Sep 2024 10:02:45 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],
>>   [email-masked],  [email-masked],  [email-masked],  [email-masked]
>> Date: Thu, 05 Sep 2024 09:39:32 +0000
>> 
>> >> I think I'm missing something here.  When it's nil and there is no
>> >> *active* region, but there is a region, it should kill that, surely?
>> >> With or without TMM.
>> >
>> > Yes, you are right.  It sounds like we made wrong assumptions about
>> > what happens in that case, and should rethink this.
>> >
>> > C-w signals an error only if there's no mark in the buffer.
>> >
>> > So I guess we need a new command after all.
>> 
>> Not necessarily (unless I am mistaken above), but I am not opposed to it either.
>
> If we don't introduce a new command, then what will be the modified
> behavior of kill-region?  Specifically, when will it delete the last
> word?  

If the new user option is non-nil /and/ there is no region.  If
`kill-region-dwim' is nil (default), then nothing should change.

>        
>        In Emacs buffers, it is very rare not to have the mark, so it
> sounds like the Bash-like behavior will very rarely if ever available,
> no?

It will kick-in whenever `use-region-p' returns a non-nil value.  I
recognise that this isn't useful for people who don't rely on transient
mark mode, but in that case we'll need to commands anyway, as I don't
want to use the behaviour that Sean describes.

-- 
	Philip Kaludercic on siskin